Cruzeirao/src/main/java/cruzeirao/beans/ConviteMB.java
package cruzeirao.beans;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import cruzeirao.DAO.UserDAO;
import cruzeirao.modelos.Campeonato;
import cruzeirao.modelos.Categoria;
import cruzeirao.modelos.Convite;
import cruzeirao.modelos.Equipe;
import cruzeirao.modelos.Inscricao;
import cruzeirao.modelos.User;
import cruzeirao.service.CampService;
import cruzeirao.service.ConviteService;
import cruzeirao.service.EquipeService;
import cruzeirao.service.InscricaoService;
import cruzeirao.service.UserService;

@ManagedBean(name="ConviteMB")
@SessionScoped
public class ConviteMB {
	
	private List<Equipe> equipes = new ArrayList<Equipe>();
	private Equipe equipeAtual = new Equipe();
	private Campeonato campAtual = new Campeonato();
	private Categoria catAtual = new Categoria();
	private List<Categoria> categorias = new ArrayList<Categoria>();
	private CampService campService = new CampService();
	private User usuarioAtual = new User();
	private UserDAO user = new UserDAO();
	private EquipeService equipeService = new EquipeService();
	private Inscricao inscricao = new Inscricao();
	private InscricaoService inscService = new InscricaoService();
	private UserService userService = new UserService();
	private ArrayList<User> usuariosList = new ArrayList<User>();
	private Convite convite = new Convite();
	private ConviteService convService = new ConviteService();
	private List<Convite> convites = new ArrayList<Convite>();
	
	public String salvar() {
		inscricao.setEquipe(equipeAtual);
		inscricao.setCategoria(catAtual);
		inscricao.getCategoria().setCampeonato(campAtual);
		
		inscService.salvar(inscricao);
		
		equipeAtual.addInscricao(inscricao);
		equipeService.salvarEditado(equipeAtual);
		
		for(User u: usuariosList) {
			
			convite.setInscricao(inscricao);
			convite.setUsuario(u);
			u.addConvite(convite);
			convService.salvar(convite);
			userService.salvarEditado(u);
			convite = new Convite();
		}

		return "inicio";
	}
	
	public ArrayList<User> getUsuariosList() {
		return usuariosList;
	}
	
	public List<Inscricao> getInscricoes(){
		return inscService.getInscricoes();
	}
	public void setUsuariosList(ArrayList<User> usuariosList) {
		this.usuariosList = usuariosList;
	}
	public Equipe getTimeAtual() {
		return equipeAtual;
	}
	public void setEquipeAtual(Equipe time) {
		this.equipeAtual = time;
	}
	public Campeonato getCampAtual() {
		return campAtual;
	}
	public void setCampAtual(Campeonato campAtual) {
		this.campAtual = campAtual;
	}
	public CampService getCampService() {
		return campService;
	}
	public void setCampService(CampService campService) {
		this.campService = campService;
	}
	public Categoria getCatAtual() {
		return catAtual;
	}
	public void setCatAtual(Categoria catAtual) {
		this.catAtual = catAtual;
	}
	public List<Campeonato> getCampeonatos() {
		return campService.getCampeonatos();
	}
	public List<Categoria> getCategorias() {
		return categorias;
	}
	public User getUsuarioAtual() {
		return usuarioAtual;
	}
	public void setUsuarioAtual(User usuarioAtual) {
		this.usuarioAtual = usuarioAtual;
	}
	
	public List<Equipe> getTimesUsuarioAtual() {
		usuarioAtual = user.pesquisarPorUsername(usuarioAtual.getUserAtual());
		
		equipes = equipeService.getEquipes();
		
		for(Equipe t : equipes)
		{
			if(t.getDiretor().getNome() != usuarioAtual.getNome())
			{
				equipes.remove(t);
			}
		}
		
		return equipes;
	}
	
	public List<Convite> getConvitesUsuarioAtual() {
		usuarioAtual = user.pesquisarPorUsername(usuarioAtual.getUserAtual());
		
		return usuarioAtual.getConvites();
	}
	
	public List<Equipe> getAllTimes()
	{
		List<Equipe> equipes = equipeService.getEquipes();
		HashSet<Equipe> timesNaoInscritos = new HashSet<Equipe>();
		List<Equipe> listaTimes = new ArrayList<Equipe>();
		
		for(Equipe t : equipes)
		{
			for(Inscricao i : t.getInscricoes())
			{
				if(!i.isValidadas() && !i.getPagamento())
				{
					timesNaoInscritos.add(i.getEquipe());
				}
			}
		}
		
		Iterator<Equipe> i = timesNaoInscritos.iterator();
		
		while(i.hasNext())
		{
			listaTimes.add(i.next());
		}
		return listaTimes;
	}
	
	public List<Inscricao> getInscricoesValidadas(){
		List<Inscricao> inscricoes = new ArrayList<Inscricao>();
		
		for(Inscricao i : inscService.getInscricoes())
		{
			if(i.isValidadas() && i.getPagamento())
			{
				inscricoes.add(i);
			}
		}
		
		return inscricoes;
	}
	
	public void updateCategories()
	{
		categorias = campAtual.getCategorias();
	}
	
	public List<User> getUsuarios(){
		return userService.getUsuarios();
	}
	
	
	public void autorizar(Equipe time) {
		Inscricao insc = null;
		
		for(Inscricao i : time.getInscricoes())
		{
			if(i.getEquipe() == time)
			{
				insc = i;
			}
		}
		insc.setPagamento(true);
		insc.setValidadas(true);
		
		inscService.salvarEditado(insc);
	}
	
	public void remove(Equipe time) {
		Inscricao insc = null;
		
		for(Inscricao i : time.getInscricoes())
		{
			if(i.getEquipe() == time)
			{
				insc = i;
			}
		}
		time.getInscricoes().remove(insc);
		equipeService.salvarEditado(time);
		inscService.salvarEditado(insc);
	}
	
	public void removeConvite(Convite convite) {		
		
		for(Convite c : convite.getUsuario().getConvites())
		{
			if(c == convite)
			{
				usuarioAtual.getConvites().remove(c);
			}
		}
	}
	
	public void autorizarConvite(Convite c) {
		Inscricao inscricao = c.getInscricao();
		User user = c.getUsuario();
		
		inscricao.addJogador(user);
		user.removeConvite(c);
		
		inscService.salvarEditado(inscricao);
		userService.salvarEditado(user);
		convService.remove(c);
	}
	
	
	public List<Convite> getConvites() {
		return convites;
	}
	public void setConvites(List<Convite> convites) {
		this.convites = convites;
	}
}

Cruzeirao/src/main/java/cruzeirao/beans/InscricaoMB.java
package cruzeirao.beans;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import cruzeirao.DAO.UserDAO;
import cruzeirao.modelos.Campeonato;
import cruzeirao.modelos.Categoria;
import cruzeirao.modelos.Convite;
import cruzeirao.modelos.Equipe;
import cruzeirao.modelos.Inscricao;
import cruzeirao.modelos.Tipo;
import cruzeirao.modelos.User;
import cruzeirao.service.CampService;
import cruzeirao.service.ConviteService;
import cruzeirao.service.EquipeService;
import cruzeirao.service.InscricaoService;
import cruzeirao.service.UserService;

@ManagedBean(name = "InscricaoMB")
@SessionScoped
public class InscricaoMB {
	private List<Equipe> equipes;
	private Equipe equipeAtual = new Equipe();
	private Campeonato campAtual = new Campeonato();
	private Categoria catAtual = new Categoria();
	private List<Categoria> categorias = new ArrayList<Categoria>();
	private CampService campService = new CampService();
	private User userAtual = new User();
	private UserDAO user = new UserDAO();
	private EquipeService equipeService = new EquipeService();
	private Inscricao inscricao = new Inscricao();
	private InscricaoService service = new InscricaoService();
	private UserService userService = new UserService();
	private ArrayList<User> usuariosList = new ArrayList<User>();
	private Convite convite = new Convite();
	private ConviteService convService = new ConviteService();
	private List<Convite> convites = new ArrayList<Convite>();
	private Calendar data_cal = Calendar.getInstance();
	
	
	public String salvar()
	{
		inscricao.setEquipe(equipeAtual);
		inscricao.setCategoria(catAtual);
		inscricao.getCategoria().setCampeonato(campAtual);
		
		service.salvar(inscricao);
		
		equipeAtual.addInscricao(inscricao);
		equipeService.salvarEditado(equipeAtual);
		
		for(User u : usuariosList) {
			convite.setInscricao(inscricao);
			convite.setUsuario(u);
			convite.setData(data_cal);
			u.addConvite(convite);
			convService.salvar(convite);
			userService.salvarEditado(u);
			convite = new Convite();
		}
		
		return "inicio";
	}

	public ArrayList<User> getUsuariosList() {
		return usuariosList;
	}

	public List<Inscricao> getInscricoes() {
		return service.getInscricoes();
	}

	public void setUsuariosList(ArrayList<User> usuariosList) {
		this.usuariosList = usuariosList;
	}

	public Equipe getEquipeAtual() {
		return equipeAtual;
	}
	public void setEquipeAtual(Equipe Equipe) {
		this.equipeAtual = Equipe;
	}
	public Campeonato getCampAtual() {
		return campAtual;
	}

	public void setCampAtual(Campeonato campAtual) {
		this.campAtual = campAtual;
	}

	public CampService getCampService() {
		return campService;
	}

	public void setCampService(CampService campService) {
		this.campService = campService;
	}
	public Categoria getCatAtual() {
		return catAtual;
	}

	public void setCatAtual(Categoria catAtual) {
		this.catAtual = catAtual;
	}

	public List<Campeonato> getCampeonatos() {
		return campService.getCampeonatos();
	}
	public List<Categoria> getCategorias() {
		return categorias;
	}

	public User getUsuarioAtual() {
		return userAtual;
	}

	public void setUsuarioAtual(User usuarioAtual) {
		this.userAtual = usuarioAtual;
	}
	
	public List<Equipe> getEquipesUsuarioAtual() {
		userAtual = user.pesquisarPorUsername(userAtual.getUserAtual());
		equipes = equipeService.getEquipes();

		for(Equipe t : equipes) {
			if(t.getDiretor().getUsername() != userAtual.getUsername()) {
				equipes.remove(t);
			}
		}
		
		return equipes;
	}
	
	public List<Convite> getConvitesUsuarioAtual() {
		userAtual = user.pesquisarPorUsername(userAtual.getUserAtual());
		return userAtual.getConvites();
	}
	
	public List<Inscricao> getAllInscricoes() {
		HashSet<Inscricao> inscNotValidated = new HashSet<Inscricao>();
		List<Inscricao> inscricoes = service.getInscricoes();
		List<Inscricao> listaInscricoes = new ArrayList<Inscricao>();
		
		for(Inscricao i : inscricoes)
		{
			if (!i.isValidadas() && !i.getPagamento()) {
				inscNotValidated.add(i);
			}
		}
		
		Iterator<Inscricao> i = inscNotValidated.iterator();

		while (i.hasNext()) {
			listaInscricoes.add(i.next());
		}
		
		return listaInscricoes;
	}
	
	public List<Inscricao> getInscricoesValidadas() {
		List<Inscricao> inscricoes = new ArrayList<Inscricao>();

		for (Inscricao i : service.getInscricoes()) {
			if (i.isValidadas() && i.getPagamento()) {
				inscricoes.add(i);
			}
		}

		return inscricoes;
	}
	
	public void updateCategorias() {
		categorias = campAtual.getCategorias();
	}

	public List<User> getUsuarios() {
		return userService.getUsuarios();
	}
	
	public void remove(Inscricao inscricao) {
		
		Equipe t = null;
		
		for (Inscricao i : service.getInscricoes()) {
			if(i.getEquipe() == inscricao.getEquipe())
			{
				t = i.getEquipe();
			}
		}
		
		t.removeInscricao(inscricao);
		equipeService.salvarEditado(t);
		service.remove(inscricao);
	}
	
	public void autorizar(Inscricao inscricao) {

		inscricao.setPagamento(true);
		inscricao.setValidadas(true);

		service.salvarEditado(inscricao);
	}
	
	public void removeConvite(Convite convite) {
		User user = convite.getUsuario();

		for (Convite c : convite.getUsuario().getConvites()) {
			if (c == convite) {
				user.removeConvite(c);
				break;
			}
		}
		
		userService.salvarEditado(user);
		convService.remove(convite);
	}
	
	public void autorizarConvite(Convite c) {
		Inscricao inscricao = c.getInscricao();
		User user = c.getUsuario();

		user.setTipo(Tipo.JOGADOR);
		inscricao.addJogador(user);
		user.removeConvite(c);

		service.salvarEditado(inscricao);
		userService.salvarEditado(user);
		convService.remove(c);
	}
	
	public List<User> getTodosMenosDiretor() {
		List<User> users = userService.getUsuarios();
		userAtual = user.pesquisarPorUsername(userAtual.getUsername());
		User aux = null;

		for (User u : users) {
			if (u.getUsername() == userAtual.getUsername())
				aux = u;
		}

		users.remove(aux);
		return users;
	}
	
	public List<Convite> getConvites() {
		return convites;
	}

	public void setConvites(List<Convite> convites) {
		this.convites = convites;
	}
}

Cruzeirao/src/main/webapp/paginas/cadastros/Sobre.xhtml
<ui:composition template="layoutPrincipal.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	<ui:define name="title">
		<h:outputText value="#{msg['paginas.sobre']}" />
	</ui:define>
	

	<ui:define name="principal">
	
		<h:outputText value="#{msg['paginas.sobre.info']}" />

	   
	</ui:define>
</ui:composition>
         

Cruzeirao/src/main/webapp/paginas/cadastros/autorizacaoInscricao.xhtml
<ui:composition template="layoutPrincipal.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	<ui:define name="title">
		<h:outputText value="#{msg['paginas.inscricoes.title']}" />
	</ui:define>

	<ui:define name="principal">
	
	 <h:form id="formTableInsc">
	
		<p:dataTable value="#{InscricaoMB.allInscricoes}" var="i"
			id="tableInscricoes">
			
			<p:column headerText="#{msg['paginas.inscricoes.nomeTime']}">
				<h:outputText value="#{i.equipe.nome}" />
			</p:column>
			
			<p:column headerText="#{msg['paginas.inscricoes.diretor']}">
				<h:outputText value="#{i.equipe.diretor.nome}" />
			</p:column>
			
			<p:column headerText="#{msg['paginas.inscricoes.nomeCategoria']}">
				<h:outputText value="#{i.categoria.nome}"/>
			</p:column>
			
			<p:column style="width:100px" headerText="#{msg['paginas.inscricoes.autorizar']}">
					<p:commandLink id="remover" styleClass="ui-icon ui-icon-trash"
						style="text-align:center"
						actionListener="#{InscricaoMB.remove(i)}"
						update=":formTableInsc" />
			</p:column>
			
			<p:column style="width:100px" headerText="#{msg['paginas.inscricoes.confirmar']}">
					<p:commandLink id="confirmar" styleClass="ui-icon ui-icon-check"
						style="text-align:center"
						actionListener="#{InscricaoMB.autorizar(i)}"
						update=":formTableInsc" />
			</p:column>

		</p:dataTable>
		
	</h:form>
	  
	</ui:define>
</ui:composition>

Cruzeirao/src/main/webapp/paginas/cadastros/cadCampeonato.xhtml
<ui:composition template="layoutPrincipal.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	<ui:define name="titulo">
		<h:outputText value="#{msg['paginas.modelos.cadCampeonato.titulo']}" />
	</ui:define>
	
	<ui:define name="principal">
		<p:growl id="messages" sticky="false" life="3000"
			for="mensagemGrowl" autoUpdate="true" />
			
		<h:form style="float:center" id="formCampeonato" prependId="false">   	   	  
	  		<p:panel id="painel" header="#{msg['paginas.modelos.cadCampeonato.menuNome']}" style="border-style:hidden; width:600px; margin-left:auto; margin-right:auto;">
	  		<h:panelGrid columns="2" id="panel" style="text-align: center">          
	  		
      			<p:outputLabel for="Nome" value="#{msg['paginas.modelos.cadCampeonato.nome']}" /> 
      			<p:inputText id="Nome" required="true" value="#{CampeonatoMB.campeonato.nome}"/>
 	             
				<p:outputLabel for="DataInicioIns" value="#{msg['paginas.modelos.cadCampeonato.Dinicio']}" /> 
				<p:calendar id="DataInicioIns" required="true" pattern="dd/MM/yyyy" mask="true" value="#{CampeonatoMB.data_inicio}"/>
				  
				<p:outputLabel for="DataFimIns" value="#{msg['paginas.modelos.cadCampeoanto.Dfim']}" /> 
				<p:calendar id="DataFimIns" required="true" pattern="dd/MM/yyyy" mask="true" value="#{CampeonatoMB.data_fim}"/>
						
				<p:outputLabel for="DataInicioCamp" value="#{msg['paginas.modelos.cadCampeonato.DIinicio']}" /> 
				<p:calendar id="DataInicioCamp" required="true" pattern="dd/MM/yyyy" mask="true" value="#{CampeonatoMB.data_insc_inicio}"/>
				  			  
				<p:outputLabel for="DataFimCamp" value="#{msg['paginas.modelos.cadCampeonato.DIfim']}" /> 
				<p:calendar id="DataFimCamp" required="true" pattern="dd/MM/yyyy" mask="true" value="#{CampeonatoMB.data_insc_fim}"/>
				  
				<p:outputLabel value="#{msg['paginas.modelos.cadCampeonato.minJ']}" /> 
			    <p:inputText id="MinJ" required="true" value="#{CampeonatoMB.campeonato.minJogadores}">
			    	<p:keyFilter mask="num" />
				</p:inputText>
			      
			    <p:outputLabel value="#{msg['paginas.modelos.cadCampeonato.maxJ']}" /> 
				    <p:inputText id="MaxJ" required="true" value="#{CampeonatoMB.campeonato.maxJogadores}">
				    	<p:keyFilter mask="num" />
					</p:inputText>	
				  
				<p:outputLabel for="valor" value="#{msg['paginas.modelos.cadCampeonato.valor']}" />	
  					<p:inputText id="valor"  value="#{CampeonatoMB.campeonato.valorTaxa}">
  						<p:keyFilter mask="num" />
					</p:inputText>
					 
					
				<p:tooltip for="Nome" showEvent="focus" hideEvent="blur" position="top" value="Insira o NOME do campeonato"/>
				<p:tooltip for="DataInicioIns" position="top" value="Seleciona a data de INÍCIO das inscrições"/>
                <p:tooltip for="DataFimIns" position="top" value="Seleciona a data de ENCERRAMENTO das inscrições"/>
                <p:tooltip for="DataInicioCamp" position="top" value="Seleciona a data de INÍCIO do campeonato"/>
                <p:tooltip for="DataFimCamp" position="top" value="Seleciona a data de ENCERRAMENTO do ca	mpeonato"/>
	  		</h:panelGrid>
	  
	  		<p:commandButton value="#{msg['paginas.modelos.cadCampeonato.salvar']}"
	                 update=":formCampeonato"
	                 action="#{CampeonatoMB.salvar}"
	                 ajax="false"/>
	                 
	
	  	</p:panel>  
	   </h:form> 
	</ui:define>
	
</ui:composition>

Cruzeirao/src/main/webapp/paginas/cadastros/cadCategoria.xhtml
<ui:composition template="layoutPrincipal.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">

	<ui:define name="title">
		<h:outputText value="#{msg['paginas.modelos.cadCategoria.titulo']}" />
	</ui:define>
	
	<ui:define name="principal">
		<h:form style="float:center" id="formCategoria" prependId="false">   	   	  
			<p:panel id="painel" header="#{msg['paginas.modelos.cadCategoria.menuNome']}" style="border-style:none; width:600px; margin-left:auto; margin-right:auto;">
		  		
				<p:selectOneMenu value="#{CategoriaMB.campeonato}"
					converter="campConverter">	
					<f:selectItems value="#{CampeonatoMB.campeonatos}" var="aux"
						itemValue="#{aux}" itemLabel="#{aux.nome}" />
				</p:selectOneMenu>
	
		  			<h:panelGrid columns="2" id="panel" style="text-align: center"> 
		  			
			  			<p:outputLabel size="30" value="#{msg['paginas.modelos.cadCategoria.nome']}" /> 
		      				<p:inputText id="Nome" required="true" value="#{CategoriaMB.categoria.nome}"/>
		      				
						<p:outputLabel size="30" value="#{msg['paginas.modelos.cadCategoria.nascidos']}" /> 
		      				<p:inputMask id="nascidos" required="true" value="#{CategoriaMB.categoria.nascidosApartirDe}" mask="9999">
	  							<p:keyFilter mask="num" />
							</p:inputMask>
		      				 					
		      			<p:outputLabel size="30" value="#{msg['paginas.modelos.cadCategoria.minJ']}" /> 
		      				<p:inputText id="MinJ" required="true" value="#{CategoriaMB.categoria.minJogadores}">
					    		<p:keyFilter mask="num" />
							</p:inputText>	
	      			
						<p:outputLabel size="30" value="#{msg['paginas.modelos.cadCategoria.maxJ']}" /> 
		      				<p:inputText id="MaxJ" required="true" value="#{CategoriaMB.categoria.maxJogadores}">
					    		<p:keyFilter mask="num"/>
							</p:inputText>	
							
						<p:outputLabel size="30" for="sexo" value="#{msg['paginas.modelos.cadCategoria.sexo']}" />
						<p:selectOneRadio id="sexo" required="false" value="#{CategoriaMB.categoria.sexo}">
							<f:selectItem itemLabel="Masculino" itemValue="Masculino" />
							<f:selectItem itemLabel="Feminino" itemValue="Feminino" />
						</p:selectOneRadio>
						
						<p:tooltip for="Nome" showEvent="focus" hideEvent="blur" position="top" value="Insira o NOME da Categoria"/>
						<p:tooltip for="nascidos" showEvent="focus" hideEvent="blur" position="top" value="Insira o ano MÍNIMO para jogar nesta Categoria"/>
						<p:tooltip for="MinJ" showEvent="focus" hideEvent="blur" position="top" value="Insira o a quantidade MÍNIMA de jogadores para esta Categoria"/>
					    <p:tooltip for="MaxJ" showEvent="focus" hideEvent="blur" position="top" value="Insira o a quantidade MÁXIMA de jogadores para esta Categoria"/>
						<p:tooltip for="sexo" showEvent="mouseover" hideEvent="mouseout" position="top" value="Insira o sexo desta Categoria"/>
					</h:panelGrid>
	      			
	      			<p:commandButton id="btnSalvar" value="Salvar" icon="ui-icon-check"
	      			 	update=":formCategoria"
		        		action="#{CategoriaMB.salvar}"
		        		ajax="false"/>
		        		
		        	<p:commandButton id="btnNovaCat" value="Adicionar nova categoria" icon="ui-icon-check"
						update=":formCategoria" 
						action="#{CategoriaMB.salvarNewCategoria}"
						ajax="false" />
	 		</p:panel>
		</h:form>
	</ui:define>	  	
</ui:composition>

Cruzeirao/src/main/webapp/paginas/cadastros/cadEquipe.xhtml
<ui:composition template="layoutPrincipal.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	<h:head>
		<ui:define name="titulo">
			<h:outputText value="#{msg['paginas.modelos.cadEquipe.titulo']}" />
		</ui:define>
		
		<link rel="stylesheet" type="text/css" href="/css/estilos.css" />

	</h:head>

	<ui:define name="principal">
		<h:body>
			<h:form style="float:center" id="formEquipe" prependId="false">
			 <div align="center">
				<p:panel id="painel" header="#{msg['paginas.modelos.cadEquipe.menuNome']}" style="border-width:3px; border-style:hidden; width:500px; margin-left:auto; margin-right:auto;">
					        <h:panelGrid columns="2" id="panel">
					        
						        <p:outputLabel for="nome" size="30" value="#{msg['paginas.modelos.cadEquipe.nome']}"/>
					            	<p:inputText id="nome" required="true" value="#{EquipeMB.equipe.nome}" label="Nome" />
					            	
					           	<p:outputLabel for="criacao" value="#{msg['paginas.modelos.cadEquipe.data']}" />
					        		<p:calendar id="criacao" value="#{EquipeMB.fund}" pattern="dd/MM/yyyy" mask="true" disabled="true" />
					        		
					        	<p:outputLabel for="cidade" size="30" value="#{msg['paginas.modelos.cadEquipe.cidade']}"/>
					            	<p:inputText id="cidade" required="true" value="#{EquipeMB.equipe.cidade}" label="Cidade" />
					            
	  							
					            <p:tooltip for="nome" showEvent="focus" hideEvent="blur" position="top" value="Insira o nome da EQUIPE"/>
								<p:tooltip for="criacao" position="top" value="DATA DE CRIAÇÂO da equipe"/>
								<p:tooltip for="cidade" showEvent="focus" hideEvent="blur" position="top" value="Insira a CIDADE da equipe"/>
								
	   
						</h:panelGrid>
	  							
					  	<p:commandButton value="#{msg['paginas.modelos.cadEquipe.btnSalvar']}"
					         update=":formEquipe"
					         action="#{EquipeMB.salvar}"
					         ajax="false"
					    />
					    
	       		</p:panel>
	       	</div>
	       </h:form>
		</h:body>
	</ui:define>
</ui:composition>





